<%-- 
    Document   : xlsAsistencia
    Created on : 05-sep-2018, 8:54:26
    Author     : Felipe Escala
--%>

<%@page import="pe.siso.academia.Services.AsistenciaService"%>
<%@page import="org.json.JSONArray"%>
<%@page import="org.json.JSONObject"%>
<%@page contentType="text/html; charset=iso-8859-1" pageEncoding="UTF-8"%>

<!DOCTYPE html>
<html lang="en">
  <head>
    <%
      String json = request.getParameter("json");
      JSONObject jobj = new JSONObject(json);
      jobj.put("draw", "1");
      jobj.put("start", "0");
      jobj.put("length", "1000000");
      JSONObject jReturn = new JSONObject();
      String nombreSede = jobj.getString("sedeSeleccionada");
      JSONArray arrayReturn = new JSONArray();
      String exportToExcel = request.getParameter("exportToExcel");
      if (exportToExcel != null && exportToExcel.toString().equalsIgnoreCase("YES")) {
        response.setContentType("application/vnd.ms-excel");
        response.setHeader("Content-Disposition", "inline; filename=AulasSede" + nombreSede + ".xls");
        AsistenciaService service = new AsistenciaService();
        jReturn = service.listarAsistencia(jobj);
        arrayReturn = jReturn.getJSONArray("data");
      }
    %>
    <style>

      label,h5,h2,td,.btn,li,option,select,p,b,input,span {
        font-family: 'Poppins', sans-serif;
        font-style: normal
      }

      th{
        font-weight: 100;
        font-family: 'Poppins', sans-serif;
      }

      td{
        margin : 0px;
        padding: 10px;
      }
    </style>

  </head>
  <body>
    <h3 align="center">Aulas de la sede <%= nombreSede%></h3>

    <table style="font-size: 11px" border="2" align="center">
      <thead>
        <tr bgcolor="lightgreen">
          <th>#</th>
          <th>Sede</th>
          <th>Tipo centro</th>
          <th>Centro</th>
          <th>Nivel</th>
          <th>Tipo grado</th>
          <th>Grado</th>
          <th>Seccion</th>
          <th>Turno</th>
        </tr>

      </thead>
      <tbody>
        <%
          int sizeArray = arrayReturn.length();
          for (int i = 0; i < sizeArray; i++) {
        %>
        <tr bgcolor="lightblue">

          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getInt("numeroItem")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoSede").getString("descripcion")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoSeccion").getJSONObject("codigoGrado").getJSONObject("codigoTipoGrado").getJSONObject("codigoNivel").getJSONObject("codigoCentro").getJSONObject("codigoTipoCentro").getString("descripcion")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoSeccion").getJSONObject("codigoGrado").getJSONObject("codigoTipoGrado").getJSONObject("codigoNivel").getJSONObject("codigoCentro").getString("descripcion")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoSeccion").getJSONObject("codigoGrado").getJSONObject("codigoTipoGrado").getJSONObject("codigoNivel").getString("descripcion")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoSeccion").getJSONObject("codigoGrado").getJSONObject("codigoTipoGrado").getString("descripcion")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoSeccion").getJSONObject("codigoGrado").getString("descripcion")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoSeccion").getString("descripcion")%></td>
          <td style="padding : 10px;" align="center"><%= arrayReturn.getJSONObject(i).getJSONObject("codigoTurno").getString("descripcion")%></td>
        </tr>
        <% }%>
      </tbody>
    </table>
    <br><br><br><br><br><br><br><br><br><br><br><br><br><br><br> 
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

  </body>
</html>
